<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: models/insurances/specialFullCoverage.js</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: models/insurances/specialFullCoverage.js</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>const Product = require('../product');

/**
 * @classdesc specialFullCoverage coverage is a secondary product of the product.
 *
 * @name specialFullCoverage
 * @class
 * @extends Product
 */

class specialFullCoverage extends Product {

    static nameCoverage = 'Special Full Coverage'

    /**
     * Create a Special Full Coverage.
     * @param {string} name - The name of secondary product.
     * @param {number} sellIn - The limit of day to sell.
     * @param {number} price - The secondary product price.
     */

    constructor(name, sellIn, price){
        super(name, sellIn,price);
    }

    /**
     * (Override) price increases by 2 when there are 10 days or less and by 3 when there are 5 days or less but.
     * (Override) price drops to 0 when no more days left (and the product is not valid anymore).
     * @override
    */

    setPrice() {
        if (this.sellIn &lt;= 0) {
            
            this.price = 0;

        } else if ( this.sellIn &lt;= 10 &amp;&amp; this.sellIn > 5){

            this.price = this.price + 2;

        } else if ( this.sellIn &lt;= 5 ){

            this.price = this.price + 3;

        } else {
            this.price = this.price + 1;
        }
        this.checkPrice();
      }
}

module.exports = specialFullCoverage;</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Modules</h3><ul><li><a href="module-Application.html">Application</a></li><li><a href="module-productController.html">productController</a></li></ul><h3>Classes</h3><ul><li><a href="carInsurance.html">carInsurance</a></li><li><a href="FullCoverage.html">FullCoverage</a></li><li><a href="LowCoverage.html">LowCoverage</a></li><li><a href="MediumCoverage.html">MediumCoverage</a></li><li><a href="MegaCoverage.html">MegaCoverage</a></li><li><a href="Product.html">Product</a></li><li><a href="specialFullCoverage.html">specialFullCoverage</a></li><li><a href="SuperSaleCoverage.html">SuperSaleCoverage</a></li></ul><h3>Global</h3><ul><li><a href="global.html#checkPrice">checkPrice</a></li><li><a href="global.html#getProducts">getProducts</a></li><li><a href="global.html#setPrice">setPrice</a></li><li><a href="global.html#setSellIn">setSellIn</a></li><li><a href="global.html#update">update</a></li><li><a href="global.html#updatePrice">updatePrice</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.6</a> on Sun Jan 24 2021 14:28:26 GMT-0600 (Central Standard Time)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
